Commit b8f08ef980a4d04c4cc802aaaa011c799a3f3745

Thomas de Grivel 2020-03-28T14:24:41

link to repo.manifest from repo installation directory

diff --git a/README.md b/README.md
index 03dc70c..5943735 100644
--- a/README.md
+++ b/README.md
@@ -50,6 +50,8 @@ Install REPO from git :
   mkdir -p ~/common-lisp/common-lisp-repo
   cd ~/common-lisp/common-lisp-repo
   git clone https://github.com/common-lisp-repo/repo.git
+  cd ~/common-lisp
+  ln -s common-lisp-repo/repo/repo.manifest
 ```
 
 In your Common Lisp implementation startup file :
diff --git a/install-repo.sh b/install-repo.sh
index 7a15e66..0eef932 100755
--- a/install-repo.sh
+++ b/install-repo.sh
@@ -35,6 +35,9 @@ maybe_clone "${GITHUB}" 'fare' 'asdf'
 # Install Repo from Github
 
 maybe_clone "${GITHUB}" 'common-lisp-repo' 'repo'
+if ! [ -f "${REPO_DIR}/repo.manifest" ]; then
+    ( cd "${REPO_DIR}" && ln -s common-lisp-repo/repo/repo.manifest; )
+fi
 
 # Configure SBCL